#include "k_inc_force"

int IsSithLord(object oNPC);
int IsSithLord(object oNPC) {
return (GetName(oNPC) == "Darth Kreia") 	|| (GetName(oNPC) == "Kreia") 	|| (GetName(oNPC) == "Darth Traya")
	|| (GetName(oNPC) == "Traya" 			|| (GetName(oNPC) == "Sion")  	|| (GetName(oNPC) == "Darth Sion")
	|| (GetName(oNPC) == "Darth Nihilus")  	|| (GetName(oNPC) == "Nihilus") || (GetName(oNPC) == "Nihilius")
	|| (GetName(oNPC) == "Darth Revan") 	|| (GetName(oNPC) == "Malak")	|| (GetName(oNPC) == "Darth Malak")
	|| (GetName(oNPC) == "Revan") 			|| (GetName(oNPC) == "Atris")	|| (GetName(oNPC) == "Darth Atris")
	|| (GetName(oNPC) == "Zez-Kai Ell") 	|| (GetName(oNPC) == "Vrook")	|| (GetName(oNPC) == "Master Vrook")
	|| (GetName(oNPC) == "Master Kavar") 	|| (GetName(oNPC) == "Kavar")	|| (GetName(oNPC) == "Queen Talia"));
}

void Death(object oTarget);
void Death(object oTarget)
{
	if (!IsSithLord(oTarget))
	{
		ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDeath(), oTarget);
	}
}

void main() {
object oCaster = OBJECT_SELF;
effect eInvalid;

 object oTarget = GetFirstObjectInShape(SHAPE_SPHERE, 12.0, GetLocation(OBJECT_SELF), FALSE, OBJECT_TYPE_CREATURE );
    while (GetIsObjectValid(oTarget)) {
        if (!GetIsDead(oTarget) 
            && GetIsEnemy(oTarget) 
            && (GetCurrentHitPoints(oTarget) > 0))
        {
				SWFP_HARMFUL = TRUE;
				SWFP_PRIVATE_SAVE_TYPE = SAVING_THROW_FORT;

				int nDice = GetHitDice(OBJECT_SELF);
				// DJS-OEI 10/7/2004
				// Removed damage level cap and changed to d10.
				/*
				if(nDice > 10)
				{
					nDice = 10;
				}
				*/
				//SWFP_DAMAGE = Sp_CalcDamage( oTarget, nDice, 6 );
            	SWFP_DAMAGE = Sp_CalcDamage( oTarget, nDice, 10 );
            	//SWFP_DAMAGE = d6(nDamage);
            	// DJS-OEI 8/16/2004
            	// Damage type is now Unstoppable, although its define is still Acid.
            	//SWFP_DAMAGE_TYPE = DAMAGE_TYPE_UNIVERSAL;
            	SWFP_DAMAGE_TYPE = DAMAGE_TYPE_ACID;

            	effect eCrush = EffectCrush();
            	effect eDamage = EffectDamage(SWFP_DAMAGE, SWFP_DAMAGE_TYPE);

            	int nResist = Sp_BlockingChecks(oTarget, eCrush, eDamage, eInvalid);
            	int nSaves;
            	SignalEvent(oTarget, EventSpellCastAt(OBJECT_SELF, GetSpellId(), SWFP_HARMFUL));
            	if(nResist == 0)
            	{
                	nSaves = Sp_MySavingThrows(oTarget);
                	if(nSaves == 0)
                	{
                	    // Apply the Crush effect for the length of the damage animation.
                    	// Also, time the application of damage to the point at which the
                    	// crush animation climaxes.
                    	ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eCrush, oTarget, 2.0);
                    	//DelayCommand( 1.64, ApplyEffectToObject(DURATION_TYPE_INSTANT, eDamage, oTarget) );
						DelayCommand(1.64, Death(oTarget));

                    // DJS-OEI 8/16/2004
                    // Finally, delay application of a Force Push effect with no
                    // fly-back duration to cause the target to fall to the ground
                    // and get back up.
                    effect eDrop = EffectForcePushed();
                    DelayCommand( 2.0, ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eDrop, oTarget) );
                }
                else {
                    // Half damage.
                    eDamage = EffectDamage(SWFP_DAMAGE/2, SWFP_DAMAGE_TYPE);

                    // Apply the Crush effect for the length of the damage animation.
                    // Also, time the application of damage to the point at which the
                    // crush animation climaxes.
                    ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eCrush, oTarget, 2.0);
                    //DelayCommand( 1.64, ApplyEffectToObject(DURATION_TYPE_INSTANT, eDamage, oTarget) );
					DelayCommand(1.64, Death(oTarget));

                    // DJS-OEI 8/16/2004
                    // Finally, delay application of a Force Push effect with no
                    // fly-back duration to cause the target to fall to the ground
                    // and get back up.
                    effect eDrop = EffectForcePushed();
                    DelayCommand( 2.0, ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eDrop, oTarget) );
                }
            }
            if(nResist > 0)
            {
                ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectForceFizzle(), OBJECT_SELF);
            }
        }
 oTarget = GetNextObjectInShape(SHAPE_SPHERE, 12.0, GetLocation(OBJECT_SELF), FALSE, OBJECT_TYPE_CREATURE );
}
}